Edit Return Order

View as Markdown
Updates an existing return using the provided request body and returns the updated return payload.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"

Request

This endpoint expects an object.
fulfillment_centerobjectRequired
A Facility to process Returns.
inventorylist of objectsRequired
Array of inventory items being returned
reference_idstringRequired1-50 characters

Client-defined external unique identifier for the return order. If tracking id is not provided, this value must appear on the box label as RMA. Example: ShipBob_Return_123

original_shipment_idinteger or nullOptional

Shipment from which the items in the return originated 123456

tracking_numberstring or nullOptional<=500 characters

Tracking number for the return shipment 1Z9999999999999999

Response

Success
channelobjectOptional
The details of a Channel
completed_datedatetime or nullOptional
The date and time for when the return order was completely processed
customer_namestring or nullOptional
Name of merchant that return belongs to
fulfillment_centerobjectOptional
The details of a Fulfillment Center
idintegerOptional
Unique id of the return order
insert_datedatetimeOptional
The date and time for when the return order was created
inventorylist of objects or nullOptional
List of inventory items in return order
invoice_amountdouble or nullOptional
Amount merchant was invoiced for processing the return
original_shipment_idinteger or nullOptional
ShipmentId for which return was created
reference_idstring or nullOptional
Unique reference id of the return order. Created by merchant if a regular return.
return_typestring or nullOptional
Type of the return, i.e. Regular, RTS
statusstring or nullOptional

Status of the return order, i.e. Awaiting Arrival, Arrived, Processing, Completed Cancelled

store_order_idstring or nullOptional
Reference to external order id
tracking_numberstring or nullOptional
The tracking number of the return shipping label
transactionslist of objects or nullOptional
List of transactions that make up the billable amount to invoice a merchant

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error